Problems with upgrade from 4.5.4 to 5.1.2

Got the following error while trying to upgrade Teamcity 4.5.4 to 5.1.2:

ERROR -   jetbrains.buildServer.SERVER - Server startup exception: jetbrains.buildServer.rootDispatcher.KnownNonRecoverableStartupError: Database version mismatch:
Database version mismatch: Configuration version is 343 but Database version is 0.

We are using external MySQL database.
I also tried 4.5.6 and 5.0 versions. With 5.0 I got the same error, but 4.5.6 worked just fine.
It seems new TeamCity can't determine which version of database I've got.
If it matters, this database initially was created on 3.1 version then upgraded to 4.5.4.

Help, anyone?

2 comments

Mikhail,

Sorry for the delay in replying.
Is this still actual?

The most probable cause of the issue is that the server starts with the upgraded configuration files, but old database. e.g. it can be easily reproduced by upgrading the server properly, then pointing the server to the old, not upgraded database.

In case you have backup of the data before the upgrade, I'd advice to review the documentation section, then drop the upgraded data, restore the non-upgraded data so that the previous version runs OK and repeat the upgrade steps ensuring that the data and the database are upgraded.

0

Yegor,

We've already solved this problem and now everything is working fine.
The problem really was, like you stated, that configuration files were upgraded and the db was old. So, I just switched back to my backup and successfully upgraded.

0

Please sign in to leave a comment.